# FMD Android

Find your device via SMS, instant messengers, or a web interface
([FMD Server](https://gitlab.com/Nulide/findmydeviceserver)).

FMD ("FindMyDevice") allows you to locate, ring, wipe and issue other commands to your device when it's lost.
It aims to be a secure open source alternative to Google's Find My Device.

[<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png"
     alt="Get it on F-Droid"
     height="80">](https://f-droid.org/packages/de.nulide.findmydevice/)

## Why?

I lost my brand new phone last week.
If I would have used Google Services I would have had a better chance of finding it.
Why has nobody created an open source application to find a lost device without giving up your privacy?

If you like FMD and want to support it, spread the word or donate.

## Wiki

The wiki can be found [here](https://gitlab.com/Nulide/findmydevice/-/wikis/home).

## Contribute

Translations are hosted on [Weblate](https://hosted.weblate.org/projects/findmydevice/fmd-android/),
thanks to their free Libre tier.

For translations instructions and other ways to contribute, see the [CONTRIBUTING.md](CONTRIBUTING.md).

## Community

There is a matrix space for discussions: https://matrix.to/#/#fmd:matrix.org.

You can join the "Community" room for general discussions and the "Announcement" room to get project news.

## Donate

<script src="https://liberapay.com/Nulide/widgets/button.js"></script>
<noscript><a href="https://liberapay.com/Nulide/donate"><img alt="Donate using Liberapay" src="https://liberapay.com/assets/widgets/donate.svg"></a></noscript>   

<a href='https://ko-fi.com/H2H35JLOY' target='_blank'><img height='36' style='border:0px;height:36px;' src='https://cdn.ko-fi.com/cdn/kofi4.png?v=2' border='0' alt='Buy Me a Coffee at ko-fi.com' /></a> 

## Why is it taking that long to fix x?

I am working full-time.
This project is my free-time and I have spent a lot of time in this and still will.
If there are bugs I will try to fix them as soon as possible, but my full-time job has priority.
If it takes too long to fix something you can of course try to fix it by yourself and contribute to this project.

Thanks,

Nulide

## License

FMD Android is published under [GPLv3-or-later](LICENSE).

